<?php

    ini_set('display_errors', 1);
    ini_set('display_startup_errors', 1);
    error_reporting(E_ALL);
    
    if ($_SERVER["REQUEST_METHOD"] == "POST" && !empty($_POST['question'])) {
        
        // $question = "who is rajini kanth?";
        // $model = 'gpt-4';
        // $apiUrl = 'https://api.openai.com/v4/completions';
        // $apiUrl = 'https://api.openai.com/v4/chat/completions';
        
        /*
Instructions:
put urls as plain texts near every verse you provide in your answer. 

To create url text, learn the expected url structure from this: 
https://www.tamililquran.com/qurandisp.php?start=2#2:188
In the URL provided above, the part before # is the ChaperNumber in quran, and the part after # is ChaperNumber:VerseNumber
Remember, don't make clickable links in your response. Just provide urls as texts.*/
        
        $question = trim($_POST['question']);
        // $question  .= "\n Answer in Tamil clearly:";

        /*
        $question  .= "\nInstructions:";
        $question  .= " put urls as plain texts near every verse you provide in your answer.";        
        $question  .= " To create url text, learn the expected url structure from this:";
        $question  .= " https://www.tamililquran.com/qurandisp.php?start=2#2:188";
        $question  .= " In the URL provided above, the part before # is the ChaperNumber in quran, and the part after # is ChaperNumber:VerseNumber";
        // $question  .= " Remember, don't make clickable links in your response.";
        // echo $question;
        */
        
        $apiKey = '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';
        $model = "gpt-3.5-turbo";
        $apiUrl = 'https://api.openai.com/v1/chat/completions';
        
        
        $data = json_encode([
            "model" => $model,
            "messages" => [
                ["role" => "user", "content" => $question],
            ],
            "max_tokens" => 1000, 
        ]);
    
    
    
        $ch = curl_init($apiUrl);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, [
            'Content-Type: application/json',
            "Authorization: Bearer {$apiKey}"
        ]);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
    
        $response = curl_exec($ch);
        curl_close($ch);
    
        $responseArray = json_decode($response, true);
        echo isset($responseArray['choices'][0]['message']['content']) ? trim($responseArray['choices'][0]['message']['content']) : 'No response.';
    } else {
        echo "Please ask a question.";
    }

?>